Get a single service
curl --request GET \
--url https://api.checklyhq.com/v1/status-pages/services/{serviceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v1/status-pages/services/{serviceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v1/status-pages/services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"accountId": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Page Services
Get a single service
GET
/
v1
/
status-pages
/
services
/
{serviceId}
Get a single service
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Was this page helpful?
⌘I